Skip to main content
GET
/
v1
/
teams
/
{team_id}
/
api-keys
/
{api_key_id}
Get Api Key Details
curl --request GET \
  --url https://api.dataraven.io/v1/teams/{team_id}/api-keys/{api_key_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key_id": "<string>",
  "name": "<string>",
  "scopes": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z",
  "rotated_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_active": true,
  "last_used_ip": "<string>",
  "created_by_email": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

api_key_id
string<uuid>
required
team_id
string<uuid>
required

Response

Successful Response

Extended API key details.

id
string<uuid>
required
key_id
string
required
name
string
required
scopes
string[]
required
expires_at
string<date-time> | null
required
revoked_at
string<date-time> | null
required
rotated_at
string<date-time> | null
required
last_used_at
string<date-time> | null
required
created_at
string<date-time>
required
created_by
string<uuid>
required
is_active
boolean
required

Whether the key is currently usable

last_used_ip
string | null
required
created_by_email
string | null

Email of the user who created this key